<?php

namespace App\Http\Controllers\Web;

use App\Model\MediaCategoryModel;
use Illuminate\Http\Request;
use App\Http\Controllers\Controller;

class MediaCategoryController extends Controller
{
    public function index(Request $request){

        $result = handler_drive(function () use ($request) {


            $catgList = MediaCategoryModel::catgListPage($request);
            return $catgList;
        });

        $data['media_categories'] = $result;

        return view('admin.media_category.list');
    }
}
